Subject: bug#70105: 30.0.50; Emacs should support EditorConfig out of the box

From: Stefan Monnier <[email-masked]>
Date: Tue, 18 Jun 2024 02:01:51 -0400

OK, here's the other part.

I pushed to the branch `scratch/emacs-editorconfig` a bunch of patches
which add a few `lisp/editorconfig*.el` files.

The main effect is to define a new (global) minor mode
`editorconfig-mode` (I assumed we'll keep it disabled by default in
Emacs-30, but I think it would make sense to enable by default in
Emacs-31 (i.e. on `master` after the branch is cut)) as well as a new
major mode `editorconfig-conf-mode` to edit `.editorconfig` files.

I'm still working on the actual metadata of that branch, as well as
etc/NEWS and doc, but in the mean time maybe you could look at the code to
see if you have any objections there.

        Stefan